This forum is in READ-ONLY mode.
You can look around, but if you want to ask a new question, please use Stack Overflow.

Upgrading to PHP 5.3.5...Any Issues?

Notes and reports about symfony 1.0.x stable

Upgrading to PHP 5.3.5...Any Issues?

by lerxstrulz » Thu Sep 01, 2011 9:25 pm

Hi All,

We have some apps built in SF 1.0.x (1.0.22 I think) and are wanting to upgrade to PHP 5.3.5. Does anyone know of any issues? These apps are rather large and although so far testing has not revealed anything just wanted to see if anyone else had any experience with this. We are also wanting to do this from some apps in SF 1.4.3.

Thank you!
lerxstrulz
Junior Member
 
Posts: 1
Joined: Fri Aug 19, 2011 6:50 pm

Re: Upgrading to PHP 5.3.5...Any Issues?

by Gawon » Tue Sep 06, 2011 10:39 am

I am running into serious issues with my Symfony 1.0.22 app. While working perfectly fine with PHP 5.2.x, in PHP 5.3.2-1ubuntu4.7 cache or session handling runs into errors crashing the entire application after making 5-10 requests. Haven't made a test with 5.3.5 yet though.

[] [error] [] PHP Fatal error: Call to a member function initialize() on a non-object in /var/www/XXX/cache/backend/prod/config/config_core_compile.yml.php on line 1538, referer: http://XXX.XX/backend.php/en/applicantData/listopen
[] [error] [] PHP Stack trace:, referer: http://XXX.XX/backend.php/en/applicantData/listopen
[] [error] [] PHP 1. require_once() /var/www/XXX/web/backend.php:9, referer: http://XXX.XX/backend.php/en/applicantData/listopen
[] [error] [] PHP 2. sfContext::getInstance() /var/www/XXX/apps/backend/config/config.php:15, referer: http://XXX.XX/backend.php/en/applicantData/listopen
[] [error] [] PHP 3. sfContext->initialize() /var/www/XXX/cache/backend/prod/config/config_core_compile.yml.php:1572, referer: http://XXX.XX/backend.php/en/applicantData/listopen
Gawon
Junior Member
 
Posts: 2
Joined: Fri Feb 11, 2011 9:39 am